The yesod package

[Tags: library, mit]

A RESTful web framework with strong compile-time guarantees of correctness. It also affords space efficient code, highly concurrent loads, and portability to many deployment backends (via the wai package), from CGI to stand-alone serving.

Yesod also focuses on developer productivity. Yesod integrates well with tools for all your basic web development (wai, persistent, and shakespeare/hamlet)

The Yesod documentation site http://www.yesodweb.com/ has much more information, including on the supporting packages mentioned above.

Properties

Versions0.0.0, 0.0.0.1, 0.0.0.2, 0.2.0, 0.3.0, 0.3.1, 0.3.1.1, 0.4.0, 0.4.0.1, 0.4.0.2, 0.4.0.3, 0.4.1, 0.5.0, 0.5.0.1, 0.5.0.2, 0.5.0.3, 0.5.1, 0.5.2, 0.5.3, 0.5.4, 0.5.4.1, 0.5.4.2, 0.6.0, 0.6.0.1, 0.6.0.2, 0.6.1, 0.6.1.1, 0.6.1.2, 0.6.2, 0.6.3, 0.6.4, 0.6.5, 0.6.6, 0.6.7, 0.7.0, 0.7.1, 0.7.2, 0.7.3, 0.8.0, 0.8.1, 0.8.2, 0.8.2.1, 0.9.1, 0.9.1.1, 0.9.2, 0.9.2.1, 0.9.2.2, 0.9.3, 0.9.3.1, 0.9.3.2, 0.9.3.3, 0.9.3.4, 0.9.4, 0.9.4.1, 0.10.1, 0.10.1.1, 0.10.1.2, 0.10.1.3, 0.10.1.4, 0.10.2, 1.0.0, 1.0.0.1, 1.0.0.2, 1.0.1, 1.0.1.1, 1.0.1.2, 1.0.1.3, 1.0.1.4, 1.0.1.5, 1.0.1.6, 1.1.0, 1.1.0.1, 1.1.0.2, 1.1.0.3, 1.1.1, 1.1.1.2, 1.1.2, 1.1.3, 1.1.3.1, 1.1.4, 1.1.4.1, 1.1.5, 1.1.6, 1.1.7, 1.1.7.1, 1.1.7.2, 1.1.8, 1.1.8.1, 1.1.8.2, 1.1.9, 1.1.9.1, 1.1.9.2, 1.1.9.3, 1.1.9.4, 1.2.0, 1.2.0.1, 1.2.1, 1.2.1.1, 1.2.2, 1.2.2.1, 1.2.3, 1.2.4, 1.2.5, 1.2.5.1, 1.2.5.2, 1.2.5.3, 1.2.6, 1.2.6.1, 1.4.0, 1.4.1, 1.4.1.1, 1.4.1.2, 1.4.1.3, 1.4.1.4, 1.4.1.5, 1.4.2
Change logNone available
Dependenciesaeson, attoparsec (>=0.10), base (>=4.3 && <5), base64-bytestring, blaze-builder (>=0.2.1.4 && <0.4), blaze-html (>=0.5), blaze-markup (>=0.5.1), bytestring (>=0.9.1.4), Cabal, conduit (>=0.5 && <1.1), containers (>=0.2), directory (>=1.0), file-embed, filepath (>=1.1), fsnotify (==0.0.*), ghc (>=7.0.3 && <7.8), ghc-paths (>=0.1), hamlet (==1.1.*), http-conduit, http-reverse-proxy (>=0.1.1), http-types (>=0.7), lifted-base, monad-control (==0.3.*), network, network-conduit, optparse-applicative (>=0.4), parsec (>=2.1 && <4), process, project-template (>=0.1.1), resourcet (>=0.3 && <0.5), shakespeare (>=1.0.2 && <1.1), shakespeare-css (>=1.0.2 && <1.1), shakespeare-js (>=1.0.2 && <1.2), shakespeare-text (==1.0.*), split (==0.2.*), system-fileio (==0.3.*), system-filepath (==0.4.*), tar (==0.4.*), template-haskell, text (>=0.11), time (>=1.1.4), transformers (>=0.2.2 && <0.4), unix-compat (>=0.2 && <0.5), unordered-containers, wai (>=1.3 && <1.5), wai-extra (==1.3.*), warp (==1.3.*), yaml (==0.8.*), yesod-auth (==1.1.*), yesod-core (>=1.1.5 && <1.2), yesod-default (>=1.1.3 && <1.2), yesod-form (>=1.1 && <1.3), yesod-json (==1.1.*), yesod-persistent (==1.1.*), zlib (==0.5.*) [details]
LicenseMIT
AuthorMichael Snoyman <michael@snoyman.com>
MaintainerMichael Snoyman <michael@snoyman.com>
StabilityStable
CategoryWeb, Yesod
Home pagehttp://www.yesodweb.com/
Source repositoryhead: git clone https://github.com/yesodweb/yesod
Executablesyesod, yesod-ar-wrapper, yesod-ld-wrapper, yesod-ghc-wrapper
UploadedMon Feb 18 16:45:44 UTC 2013 by MichaelSnoyman
DistributionsDebian:1.4.1.5, FreeBSD:1.4.1.5, LTSHaskell:1.4.2, NixOS:1.4.2, Stackage:1.4.2
Downloads41663 total (1116 in last 30 days)
Votes
1 []
StatusDocs not available [build log]
All reported builds failed as of 2015-06-10 [all 2 reports]

Modules

Downloads

Maintainers' corner

For package maintainers and hackage trustees